% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/filter_gtfs.R
\name{filter_single_trip}
\alias{filter_single_trip}
\title{Filter GTFS trips in order to have one trip per shape_id}
\usage{
filter_single_trip(gtfs_data)
}
\arguments{
\item{gtfs_data}{A list of data.tables read using gtfs2gps::reag_gtfs().}
}
\value{
A filtered GTFS data.
}
\description{
Filter a GTFS data by keeping only one trip per shape_id.
It also removes the unnecessary routes and stop_times accordingly.
}
\examples{
poa <- read_gtfs(system.file("extdata/poa.zip", package = "gtfs2gps"))

subset <- filter_single_trip(poa)
}
